Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
WlanLog.idl
1/* SPDX-License-Identifier: BSD-3-Clause */
2/*
3 * Copyright 2014 Raritan Inc. All rights reserved.
4 */
5
6#ifndef __LOG_WLANLOG_IDL__
7#define __LOG_WLANLOG_IDL__
8
9#include <Log.idl>
10
11/**
12 * Device Logging
13 */
14module logging {
15
16 /** WLAN diagnostic log interface */
17 interface WlanLog {
18
19 /**
20 * Clear the WLAN diagnostic log.
21 */
22 void clear();
23
24 /**
25 * Get info about the WLAN diagnostic log.
26 *
27 * @return log info
28 */
29 LogInfo getInfo();
30
31 /**
32 * Fetch a chunk from the WLAN diagnostic log.
33 *
34 * For details regarding the behavior of this method refer to the description
35 * of the \ref logging module in Log\.idl.
36 *
37 * @param refId First log id to fetch
38 * @param count Number of entries to fetch
39 * @param direction Range direction
40 *
41 * @return log chunk
42 */
43 LogChunk getChunk(in int refId, in int count, in RangeDirection direction);
44
45 };
46
47}
48
49#endif /* __LOG_WLANLOG_IDL__ */
logging::WlanLog
WLAN diagnostic log interface.
Definition WlanLog.idl:17
logging::WlanLog::getInfo
LogInfo getInfo()
Get info about the WLAN diagnostic log.
logging::WlanLog::getChunk
LogChunk getChunk(in int refId, in int count, in RangeDirection direction)
Fetch a chunk from the WLAN diagnostic log.
logging::WlanLog::clear
void clear()
Clear the WLAN diagnostic log.
logging
Device Logging.
Definition DebugLog.idl:14
logging::RangeDirection
RangeDirection
Range direction when fetching log entries.
Definition Log.idl:108
logging::LogChunk
A log chunk.
Definition Log.idl:100
logging::LogInfo
General log info.
Definition Log.idl:84